AnsweredAssumed Answered

Will alfresco-rm-2.0.1-147.zip work with Alfresco Community 4.2.d or 4.2.c?

Question asked by ellegee on Sep 18, 2013
Latest reply on Oct 18, 2013 by rwetherall
Hi all,

I work at an not for profit org that's looking very closely at using Alfresco for ECM. It was recommended to us by our 3rd party IT provider who recently made the claim the RM components won't work in our version of Alfresco (we're currently testing on Alfresco Community 4.2.d). They also seemed to indicate we could only get RM capacity on a different version of Alfresco for a cost but this doesn't look to me to be the case since I can find RM for various Community editions.

Specifically, I can find alfresco-rm-2.0.1-147.zip in the release notes of http://wiki.alfresco.com/wiki/Community_file_list_4.2.b but it vanishes from the release notes starting with 4.2.c – does this mean it's not available and/or won't work with these later releases or is it just a quirk of the wiki leaving the RM section out?

If the RM AMP files available for download under 4.2.b won't work for 4.2.c or 4.2.d will we need to install 4.2.b in order to run the RM module or would it not be recommended to run a previous version? And, final stupid question: would installing the RM module incur a cost beyond staff time to install and maintain / bump in data?

Apologies for anything that is unclear – I'm very new to Alfresco and just feeling my way through the possibilities!

Outcomes